I've got two questions. Within the release notes I see the following:

BlackBerry Enterprise Server for Microsoft Exchange 4.1.6 or BlackBerry
Professional Software for Microsoft Exchange 4.1.6. Update 6, 7, or 8 is
required.

I'm running Blackberry professional 4.1.4.X - I don't see any newer released version (or mention of a newer version) on RIM's site - am I missing something here?

Also, the release notes say that Windows Server 2003 R2 is not supported? I've been running BES on this platform for over a year now with ZCS 5.x. We recently upgraded to v6, but I'm nervous to upgrade the BES connector to v6 if this will be an issue.

Is anyone running BES + ZCB on R2 that can comment?

Thanks,
John